Package org.codehaus.groovy.runtime

# Class GStringUtil

java.lang.Object
org.codehaus.groovy.runtime.GStringUtil

public final class GStringUtil extends Object
This class is primarily intended for INTERNAL USE. Use at your own risk.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `buildImpl(GroovyObject builder, Object[] vs, String[] ss)`
  `static int`
  `calcInitialCapacityImpl(Object[] vs, String[] ss)`
  `static GString`
  `plusImpl(Object[] thisValues, Object[] thatValues, String[] thisStrings, String[] thatStrings)`
  `static Writer`
  `writeToImpl(Writer out, Object[] vs, String[] ss)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### plusImpl

    public static GString plusImpl(Object[] thisValues, Object[] thatValues, String[] thisStrings, String[] thatStrings)

  - ### writeToImpl

    public static Writer writeToImpl(Writer out, Object[] vs, String[] ss) throws IOException
    Throws:
      `IOException`

  - ### buildImpl

    public static void buildImpl(GroovyObject builder, Object[] vs, String[] ss)

  - ### calcInitialCapacityImpl

    public static int calcInitialCapacityImpl(Object[] vs, String[] ss)